## org.eclipse.datatools.sqltools.result.internal.preference
Class ResultSetViewerPreferencePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.datatools.sqltools.result.internal.preference.ResultSetViewerPreferencePage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPreferencePage

    public class ResultSetViewerPreferencePage

extends org.eclipse.jface.preference.PreferencePage
implements org.eclipse.ui.IWorkbenchPreferencePage

Preference page for the selection of viewer for result sets

Author:
  Quy On

Field Summary
`static java.lang.String` `DEFAULT_VIEWER`
`static java.lang.String` `PARAM_DEFAULT_VIEWER`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ResultSetViewerPreferencePage()`

Method Summary
`static java.lang.String` `getParameterViewerNameFromExtension()` Gets the default viewer name from extensions.
`java.lang.String` `getViewerName()` Gets the viewer name
`static java.lang.String` `getViewerNameFromExtension()` Gets the default viewer name from extensions.
`void` `init(org.eclipse.ui.IWorkbench workbench)`
`boolean` `performOk()`
`void` `setViewerName(java.lang.String name)` Sets the viewer name

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Field Detail

### DEFAULT_VIEWER

    public static final java.lang.String DEFAULT_VIEWER

### PARAM_DEFAULT_VIEWER

    public static final java.lang.String PARAM_DEFAULT_VIEWER

Constructor Detail

### ResultSetViewerPreferencePage

    public ResultSetViewerPreferencePage()

Method Detail

### init

    public void init(org.eclipse.ui.IWorkbench workbench)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`

### getParameterViewerNameFromExtension

    public static java.lang.String getParameterViewerNameFromExtension()

  Gets the default viewer name from extensions. If more the one extension parameter table viewers are available, then the internal default viewer will be used

  Returns:
    the default result parameter table viewer name

### getViewerNameFromExtension

    public static java.lang.String getViewerNameFromExtension()

  Gets the default viewer name from extensions. If more the one extension result set viewers are available, then the internal default viewer will be used

  Returns:
    the default result set viewer name

### setViewerName

    public void setViewerName(java.lang.String name)

  Sets the viewer name

  Parameters:
    `name` - the name of the viewer for the result set

### getViewerName

    public java.lang.String getViewerName()

  Gets the viewer name

  Returns:
    the name of the viewer for result sets

### performOk

    public boolean performOk()

  Specified by:
    `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `performOk` in class `org.eclipse.jface.preference.PreferencePage`